Bug 1087236 - Infinispan issue: The current SQL query that checks table existence is under optimized on big database
Summary: Infinispan issue: The current SQL query that checks table existence is under ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: EAP 6.3.0
Assignee: Paul Ferraro
QA Contact: Jitka Kozana
Russell Dickenson
URL:
Whiteboard:
Depends On: 1087264
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-14 07:23 UTC by Boleslaw Dawidowicz
Modified: 2014-07-04 11:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-04 11:17:03 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-2454 0 Major Resolved The current SQL query that checks table existence is under optimized on big database 2014-07-10 01:15:21 UTC

Description Boleslaw Dawidowicz 2014-04-14 07:23:20 UTC
"Last year I proposed an enhancement allowing to use the implicit db schema to ease life of end-user, unfortunately it seems that it affects the startup time of the product when the tables contain a lot of rows. Indeed the query can take several seconds to return a result.
The idea of this task would be to optimize this query for all supported databases in order to avoid this drawback."

"It seems that the Query for MS SQL doesn't work on MS SQL 2008 R2, it should be
SELECT count(*) from (SELECT TOP (1) 1 as C FROM " + tableName + ") T
"

Comment 1 Boleslaw Dawidowicz 2014-04-14 07:24:02 UTC
Needed for JBoss Portal 6.2

Comment 2 Mircea Markus 2014-04-23 15:48:14 UTC
This has been fixed since Infinispan 5.2.0 and is contained in Infinispan 5.2.9 (nothing to do here)

Comment 3 Jitka Kozana 2014-07-04 11:17:03 UTC
Closing based on comment #2.


Note You need to log in before you can comment on or make changes to this bug.